Package com.google.android.exoplayer2.drm

## Interface DrmSessionManagerProvider

- All Known Implementing Classes:
    `DefaultDrmSessionManagerProvider`

      public interface DrmSessionManagerProvider

  A provider to obtain a `DrmSessionManager` suitable for playing the content described by a `MediaItem`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DrmSessionManager` | `get​(MediaItem mediaItem)` | Returns a `DrmSessionManager` for the given media item.

- - ### Method Detail

    - #### get

          DrmSessionManager get​(MediaItem mediaItem)

      Returns a `DrmSessionManager` for the given media item.

      The caller is responsible for `preparing` the `DrmSessionManager` before use, and subsequently `releasing` it.